%{!?kversion:%define kversion	%(uname -r | cut -d - -f 1)}
%{!?krelease:%define krelease	%(uname -r | cut -d - -f 2)}
%{!?dversion:%define dversion	2.4.6_2005.02.17}
%{!?drelease:%define drelease	1.beam}
# drm-via 2.4.3 is dated 20050107
# drm-via 2.4.4 is dated 20050127
# drm-via 2.4.5 is dated 20050203

Summary: Via kernel DRM driver
Name: kernel-module-via-drm-%{kversion}-%{krelease}
Version: %{dversion}
Release: %{drelease}
Vendor: beam
Epoch: 0
License: GPL
Group: System Environment/Kernel
Source0: drm-via-%{dversion}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: kernel == %{kversion}-%{krelease}
Requires: modutils
Provides: kernel-module-via-drm = %{epoch}:%{version}-%{release}

%description
kernel-module-via-drm is the linux kernel drm module for the Via Unichrome CLE266
chipset and some others. Via M series Motherboards use this chipset.

%prep
%setup -q -n drm

%build
(cd linux-core; make LINUXDIR=/lib/modules/%{kversion}-%{krelease}/build DRM_MODULES=via)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelease}/kernel/drivers/char/drm
cp linux-core/via.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelease}/kernel/drivers/char/drm
cp linux-core/drm.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelease}/kernel/drivers/char/drm

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if [ "`uname -r`" = "%{kversion}-%{krelease}" ] ; then
  depmod -a >/dev/null 2>&1 || :
fi

%postun
if [ "`uname -r`" = "%{kversion}-%{krelease}" ] ; then
  depmod -a >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%attr(0755,root,root)
/lib/modules/%{kversion}-%{krelease}/kernel/drivers/char/drm/via.ko
/lib/modules/%{kversion}-%{krelease}/kernel/drivers/char/drm/drm.ko

%changelog
* Mon Feb 07 2005 Xavier Bachelot <xb_ml@kelkoo.net> 2.4.5-ucr.0
- Updated to 2.4.5 (cvs 20050204)
- Added Provides: kernel-module-via-drm and Requires: modutils
- Modified %post and added %postun
- Rebuild for kernel-2.6.10-1.760_FC3

* Thu Feb 03 2005 Xavier Bachelot <xb_ml@kelkoo.net> 2.4.4-ucr.0
- Updated to 2.4.4 (cvs 20050128)

* Thu Feb 03 2005 Xavier Bachelot <xb_ml@kelkoo.net> 2.4.3-ucr.0
- Initial import of Terry Barnaby's spec file
- Changed package name to follow fedora.us kernel module packaging guideline,
  fixed group, changed version numbering to via drm driver version
- Modified to build linux-core instead of linux-2.6
- Rebuild with --target i686 as it's the kernel I'm running
- Build 2.4.3 (cvs 20050116)
